EmbeddedReadOnlyGraphDatabase (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class EmbeddedReadOnlyGraphDatabase

    java.lang.Object
      org.neo4j.kernel.AbstractGraphDatabase
          org.neo4j.kernel.InternalAbstractGraphDatabase
              org.neo4j.kernel.EmbeddedReadOnlyGraphDatabase

All Implemented Interfaces:
  GraphDatabaseService, GraphDatabaseAPI

    public final class EmbeddedReadOnlyGraphDatabase

extends InternalAbstractGraphDatabase

A read-only version of `EmbeddedGraphDatabase`.

Nested Class Summary

Nested classes/interfaces inherited from class org.neo4j.kernel.InternalAbstractGraphDatabase
`InternalAbstractGraphDatabase.Configuration, InternalAbstractGraphDatabase.DefaultKernelData`

Field Summary

Fields inherited from class org.neo4j.kernel.InternalAbstractGraphDatabase
`caches, config, diagnosticsManager, extensions, fileSystem, guard, idGeneratorFactory, indexManager, indexProviders, indexStore, kernelEventHandlers, kernelPanicEventGenerator, lastCommittedTxIdSetter, life, lockManager, lockReleaser, logBufferFactory, logging, msgLog, neoDataSource, nodeAutoIndexer, nodeManager, params, persistenceManager, persistenceSource, propertyIndexManager, ragManager, recoveryVerifier, relationshipTypeCreator, relationshipTypeHolder, relAutoIndexer, storeDir, storeFactory, storeId, syncHook, transactionEventHandlers, txHook, txIdGenerator, txManager, xaDataSourceManager, xaFactory`

Constructor Summary
`EmbeddedReadOnlyGraphDatabase(String storeDir)` Creates an embedded `GraphDatabaseService` with a store located in `storeDir`.
`EmbeddedReadOnlyGraphDatabase(String storeDir, Map<String,String> params)` A non-standard way of creating an embedded `GraphDatabaseService` with a set of configuration parameters.
`EmbeddedReadOnlyGraphDatabase(String storeDir, Map<String,String> params, Iterable<IndexProvider> indeProviders, Iterable<KernelExtension> kernelExtensions, Iterable<org.neo4j.kernel.impl.cache.CacheProvider> cacheProviders)`

Method Summary
`KernelEventHandler` | `registerKernelEventHandler(KernelEventHandler handler)` Registers `handler` as a handler for kernel events which are generated from different places in the lifecycle of the kernel.
`
`<T> TransactionEventHandler<T>`
` | `registerTransactionEventHandler(TransactionEventHandler<T> handler)` Registers `handler` as a handler for transaction events which are generated from different places in the lifecycle of each transaction.
`KernelEventHandler` | `unregisterKernelEventHandler(KernelEventHandler handler)` Unregisters `handler` from the list of kernel event handlers.
`
`<T> TransactionEventHandler<T>`
` | `unregisterTransactionEventHandler(TransactionEventHandler<T> handler)` Unregisters `handler` from the list of transaction event handlers.

Methods inherited from class org.neo4j.kernel.InternalAbstractGraphDatabase
`beginTx, createCaches, createFileSystemAbstraction, createIdGeneratorFactory, createKernelData, createLastCommittedTxIdSetter, createLockManager, createNode, createNodeLookup, createRecoveryVerifier, createRelationshipLookups, createRelationshipTypeCreator, createStoreFactory, createStringLogger, createTxHook, createTxIdGenerator, equals, getAllNodes, getConfig, getDiagnosticsManager, getGuard, getIdGeneratorFactory, getKernelData, getKernelPanicGenerator, getLockManager, getLockReleaser, getManagementBean, getManagementBeans, getMessageLog, getNodeById, getNodeManager, getPersistenceSource, getReferenceNode, getRelationshipById, getRelationshipTypeHolder, getRelationshipTypes, getSingleManagementBean, getStoreDir, getStoreId, getTxIdGenerator, getTxManager, getXaDataSourceManager, hashCode, index, isEphemeral, run, shutdown, toString, transactionRunning, tx`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmbeddedReadOnlyGraphDatabase

    public EmbeddedReadOnlyGraphDatabase(String storeDir)

  Creates an embedded `GraphDatabaseService` with a store located in `storeDir`. If the directory shouldn't exist or isn't a neo4j store an exception will be thrown.

  Parameters:
    `storeDir` - the store directory for the Neo4j store files

### EmbeddedReadOnlyGraphDatabase

    public EmbeddedReadOnlyGraphDatabase(String storeDir,
                                         Map<String,String> params)

  A non-standard way of creating an embedded `GraphDatabaseService` with a set of configuration parameters. Will most likely be removed in future releases.

  Creates an embedded `GraphDatabaseService` with a store located in `storeDir`. If the directory shouldn't exist or isn't a neo4j store an exception will be thrown.

  Parameters:
    `storeDir` - the store directory for the db files
    `params` - configuration parameters

### EmbeddedReadOnlyGraphDatabase

    public EmbeddedReadOnlyGraphDatabase(String storeDir,
                                         Map<String,String> params,
                                         Iterable<IndexProvider> indeProviders,
                                         Iterable<KernelExtension> kernelExtensions,
                                         Iterable<org.neo4j.kernel.impl.cache.CacheProvider> cacheProviders)

Method Detail

### registerKernelEventHandler

    public KernelEventHandler registerKernelEventHandler(KernelEventHandler handler)

  Description copied from interface: `GraphDatabaseService`
  Registers `handler` as a handler for kernel events which are generated from different places in the lifecycle of the kernel. To guarantee proper behaviour the handler should be registered right after the graph database has been started. If the specified handler instance has already been registered this method will do nothing.

  Specified by:
    `registerKernelEventHandler` in interface `GraphDatabaseService`
  Overrides:
    `registerKernelEventHandler` in class `InternalAbstractGraphDatabase`
  Parameters:
    `handler` - the handler to receive events about different states in the kernel lifecycle.
  Returns:
    the handler passed in as the argument.

### registerTransactionEventHandler

    public <T> TransactionEventHandler<T> registerTransactionEventHandler(TransactionEventHandler<T> handler)

  Description copied from interface: `GraphDatabaseService`
  Registers `handler` as a handler for transaction events which are generated from different places in the lifecycle of each transaction. To guarantee that the handler gets all events properly it shouldn't be registered when the application is running (i.e. in the middle of one or more transactions). If the specified handler instance has already been registered this method will do nothing.

  Specified by:
    `registerTransactionEventHandler` in interface `GraphDatabaseService`
  Overrides:
    `registerTransactionEventHandler` in class `InternalAbstractGraphDatabase`
  Type Parameters:
    `T` - the type of state object used in the handler, see more documentation about it at `TransactionEventHandler`.
  Parameters:
    `handler` - the handler to receive events about different states in transaction lifecycles.
  Returns:
    the handler passed in as the argument.

### unregisterKernelEventHandler

    public KernelEventHandler unregisterKernelEventHandler(KernelEventHandler handler)

  Description copied from interface: `GraphDatabaseService`
  Unregisters `handler` from the list of kernel event handlers. If `handler` hasn't been registered with `GraphDatabaseService.registerKernelEventHandler(KernelEventHandler)` prior to calling this method an `IllegalStateException` will be thrown. After a successful call to this method the `handler` will no longer receive any kernel events.

  Specified by:
    `unregisterKernelEventHandler` in interface `GraphDatabaseService`
  Overrides:
    `unregisterKernelEventHandler` in class `InternalAbstractGraphDatabase`
  Parameters:
    `handler` - the handler to receive events about different states in the kernel lifecycle.
  Returns:
    the handler passed in as the argument.

### unregisterTransactionEventHandler

    public <T> TransactionEventHandler<T> unregisterTransactionEventHandler(TransactionEventHandler<T> handler)

  Description copied from interface: `GraphDatabaseService`
  Unregisters `handler` from the list of transaction event handlers. If `handler` hasn't been registered with `GraphDatabaseService.registerTransactionEventHandler(TransactionEventHandler)` prior to calling this method an `IllegalStateException` will be thrown. After a successful call to this method the `handler` will no longer receive any transaction events.

  Specified by:
    `unregisterTransactionEventHandler` in interface `GraphDatabaseService`
  Overrides:
    `unregisterTransactionEventHandler` in class `InternalAbstractGraphDatabase`
  Type Parameters:
    `T` - the type of state object used in the handler, see more documentation about it at `TransactionEventHandler`.
  Parameters:
    `handler` - the handler to receive events about different states in transaction lifecycles.
  Returns:
    the handler passed in as the argument.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.